import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import { FlexGrid } from '@mescius/wijmo.grid';
import * as wjStyle from "@mescius/wijmo.grid.style";
import * as wjGrid from '@mescius/wijmo.grid';
import * as wjInput from '@mescius/wijmo.input';
document.readyState === 'complete' ? init() : window.onload = init;
function init() {
//#region Controls
var theCombo = new wjInput.ComboBox('#cboStyle', {});
var theGrid = new FlexGrid('#theGrid', {
itemsSource: getData(),
selectionMode: 'MultiRange',
allowSorting: false,
formatItem: function (s, e) {
if (e.panel.cellType == wjGrid.CellType.RowHeader)
e.cell.innerHTML = e.row;
}
});
//#endregion
//#region FlexGridStyle
var gridStyle = new wjStyle.FlexGridStyle(theGrid);
var styleObject1 = {
'background-color': 'yellow',
'font-size': '18px'
};
var styleObject2 = {
'color': 'red'
};
document.getElementById('applyStyle1').addEventListener('click', () => {
gridStyle.toggleClass(theGrid.selection, 'myStyle1');
});
document.getElementById('applyStyle2').addEventListener('click', () => {
if (theCombo.selectedIndex == 0)
gridStyle.applyStyle(theGrid.selection, styleObject1);
else
gridStyle.applyStyle(theGrid.selection, styleObject2, theGrid.cells, false);
});
document.getElementById('applyStyle4').addEventListener('click', () => {
gridStyle.toggleClass(new wjGrid.CellRange(0, 0, 1, 1), 'myStyle1', theGrid.columnHeaders);
gridStyle.toggleClass(new wjGrid.CellRange(0, 0, 4, 0), 'myStyle1', theGrid.rowHeaders);
});
document.getElementById('removeStyle2').addEventListener('click', () => {
gridStyle.removeStyle(theGrid.selection, styleObject1);
gridStyle.removeStyle(theGrid.selection, styleObject2);
});
document.getElementById('clearAllStyles1').addEventListener('click', () => {
gridStyle.clearAllStyles(theGrid.selection);
});
document.getElementById('clearAllStyles2').addEventListener('click', () => {
gridStyle.clearAllStyles();
});
//#endregion
//#region Data
function getData() {
var countries = 'US,Germany,UK,Japan,Italy,Greece'.split(','), data = [];
for (var i = 0; i < 50; i++) {
data.push({
id: i,
country: countries[i % countries.length],
downloads: Math.round(Math.random() * 20000),
sales: Math.random() * 10000,
expenses: Math.random() * 5000
});
}
return data;
}
//#endregion
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexGrid Style API</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js">
</script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="col-md-4">
<div class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<h4 class="panel-title">
Toggle Class
</h4>
</div>
<div class="panel-body">
<ul class="list-inline">
<li>
<button class="btn btn-default" id="applyStyle1">Toggle Class on Selection</button>
</li>
<li>
<button class="btn btn-default" id="applyStyle4">Toggle Class on Headers</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<h4 class="panel-title">
Apply & Remove Styles
</h4>
</div>
<div class="panel-body">
<ul class="list-inline">
<li>
<select id="cboStyle">
<option value="0" selected>Inline</option>
<option value="1">Class-based</option>
</select>
</li>
<li>
<button class="btn btn-default" id="applyStyle2">Apply</button>
</li>
<li>
<button class="btn btn-default" id="removeStyle2">Remove</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<h4 class="panel-title">
Clear Styles
</h4>
</div>
<div class="panel-body">
<ul class="list-inline">
<li>
<button class="btn btn-default" id="clearAllStyles1">Clear all styles from selection</button>
</li>
<li>
<button class="btn btn-default" id="clearAllStyles2">Clear all styles from Grid</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div id="theGrid"></div>
</div>
</body>
</html>
.wj-flexgrid {
height: 350px;
margin:10px 0;
}
body {
margin-bottom: 20px;
}
.myStyle1 {
background-color: antiquewhite !important;
color: brown !important;
}
.myStyle2{
background-color: aquamarine !important;
color:blue !important;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

<template>
<div class="container-fluid">
<div className="col-md-4">
<div className="panel-group">
<div className="panel panel-default">
<div className="panel-heading">
<h4 className="panel-title">
Toggle Class
</h4>
</div>
<div className="panel-body">
<ul className="list-inline">
<li>
<button className="btn btn-default" id="applyStyle1" @click="toggleClass">Toggle Class on Selection</button>
</li>
<li>
<button className="btn btn-default" id="applyStyle4" @click="toggleClassOnHeaders">Toggle Class on Headers</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div className="col-md-4">
<div className="panel-group">
<div className="panel panel-default">
<div className="panel-heading">
<h4 className="panel-title">
Apply & Remove Styles
</h4>
</div>
<div className="panel-body">
<ul className="list-inline">
<li>
<wj-combo-box id="combo" :itemsSource="comboData" :initialized="comboInitialized">
</wj-combo-box>
</li>
<li>
<button className="btn btn-default" id="applyStyle2" @click="applyStyle">Apply</button>
</li>
<li>
<button className="btn btn-default" id="removeStyle2" @click="removeStyle">Remove</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div className="col-md-4">
<div className="panel-group">
<div className="panel panel-default">
<div className="panel-heading">
<h4 className="panel-title">
Clear Styles
</h4>
</div>
<div className="panel-body">
<ul className="list-inline">
<li>
<button className="btn btn-default" id="clearAllStyles1" @click="clearRangeStyles">Clear all styles from selection</button>
</li>
<li>
<button className="btn btn-default" id="clearAllStyles2" @click="clearAllStyles">Clear all styles from Grid</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<br/>
<wj-flex-grid :itemsSource="data" :initialized="flexInitialized">
</wj-flex-grid>
</div>
</template>
<script setup>
import * as wjcCore from "@mescius/wijmo";
import { CellRange, CellType } from "@mescius/wijmo.grid";
import * as wjGridStyle from "@mescius/wijmo.grid.style";
import { ref } from "vue";
const data = ref(_getData());
const styleObject1 = {
'background-color': 'yellow',
'font-size': '18px'
};
const styleObject2 = {
'color': 'red'
};
const comboData = ['Inline', 'Class-based'];
const flex = ref(null);
const flexGridStyle = ref(null);
const combo = ref(null);
function flexInitialized(flexgrid) {
flex.value = flexgrid;
flex.value.formatItem.addHandler((s, e) => {
if (e.panel.cellType == CellType.RowHeader) e.cell.innerHTML = e.row.toString();
});
flexGridStyle.value = new wjGridStyle.FlexGridStyle(flexgrid);
}
function comboInitialized(combobox) {
combo.value = combobox;
}
function _getData() {
// create some random data
let countries = "US,Germany,UK,Japan,Italy,Greece".split(","),
data = [];
for (let i = 0; i < 50; i++) {
data.push({
id: i,
country: countries[i % countries.length],
downloads: Math.round(Math.random() * 20000),
sales: Math.random() * 10000,
expenses: Math.random() * 5000,
});
}
return data;
}
function toggleClass() {
flexGridStyle.value.toggleClass(flex.value.selection, "myStyle1");
}
function toggleClassOnHeaders() {
flexGridStyle.value.toggleClass(new CellRange(0, 0, 1, 1), "myStyle1", flex.value.columnHeaders);
flexGridStyle.value.toggleClass(new CellRange(0, 0, 4, 0), "myStyle1", flex.value.rowHeaders);
}
function applyStyle() {
if (combo.value.selectedIndex == 0) flexGridStyle.value.applyStyle(flex.value.selection, styleObject1);
else flexGridStyle.value.applyStyle(flex.value.selection, styleObject2, flex.value.cells, false);
}
function removeStyle() {
flexGridStyle.value.removeStyle(flex.value.selection, styleObject1);
flexGridStyle.value.removeStyle(flex.value.selection, styleObject2);
}
function clearAllStyles() {
flexGridStyle.value.clearAllStyles();
}
function clearRangeStyles() {
flexGridStyle.value.clearAllStyles(flex.value.selection);
}
</script>
<style>
.wj-flexgrid {
height: 450px;
margin: 6px 0;
}
.myStyle1 {
background-color: antiquewhite !important;
color: brown !important;
}
.myStyle2{
background-color: aquamarine !important;
color:blue !important;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexGrid Style API</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app">
</div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useRef, useState } from 'react';
import useEvent from 'react-use-event-hook';
import { FlexGrid } from '@mescius/wijmo.react.grid';
import { ComboBox } from '@mescius/wijmo.react.input';
import { CellRange, CellType } from '@mescius/wijmo.grid';
import * as wjGridStyle from "@mescius/wijmo.grid.style";
import './app.css';
import { data } from './data';
function App() {
const [flexGridStyle, setFlexGridStyle] = useState(null);
const styleObject1 = {
'background-color': 'yellow',
'font-size': '18px'
};
const styleObject2 = {
'color': 'red'
};
const comboData = ['Inline', 'Class-based'];
const flexRef = useRef(null);
const comboRef = useRef(null);
const flexInitialized = useEvent((flexgrid) => {
flexRef.current = flexgrid;
flexRef.current.formatItem.addHandler((s, e) => {
if (e.panel.cellType == CellType.RowHeader)
e.cell.innerHTML = e.row.toString();
});
let gridStyle = new wjGridStyle.FlexGridStyle(flexRef.current);
setFlexGridStyle(gridStyle);
});
const comboInitialized = useEvent((combobox) => {
comboRef.current = combobox;
});
const toggleClass = () => {
flexGridStyle.toggleClass(flexRef.current.selection, 'myStyle1');
};
const toggleClassOnHeaders = () => {
flexGridStyle.toggleClass(new CellRange(0, 0, 1, 1), 'myStyle1', flexRef.current.columnHeaders);
flexGridStyle.toggleClass(new CellRange(0, 0, 4, 0), 'myStyle1', flexRef.current.rowHeaders);
};
const applyStyle = () => {
if (comboRef.current.selectedIndex == 0)
flexGridStyle.applyStyle(flexRef.current.selection, styleObject1);
else
flexGridStyle.applyStyle(flexRef.current.selection, styleObject2, flexRef.current.cells, false);
};
const removeStyle = () => {
flexGridStyle.removeStyle(flexRef.current.selection, styleObject1);
flexGridStyle.removeStyle(flexRef.current.selection, styleObject2);
};
const clearAllStyles = () => {
flexGridStyle.clearAllStyles();
};
const clearRangeStyles = () => {
flexGridStyle.clearAllStyles(flexRef.current.selection);
};
return (<div className="container-fluid">
<div className="col-md-4">
<div className="panel-group">
<div className="panel panel-default">
<div className="panel-heading">
<h4 className="panel-title">
Toggle Class
</h4>
</div>
<div className="panel-body">
<ul className="list-inline">
<li>
<button className="btn btn-default" id="applyStyle1" onClick={toggleClass}>Toggle Class on Selection</button>
</li>
<li>
<button className="btn btn-default" id="applyStyle4" onClick={toggleClassOnHeaders}>Toggle Class on Headers</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div className="col-md-4">
<div className="panel-group">
<div className="panel panel-default">
<div className="panel-heading">
<h4 className="panel-title">
Apply & Remove Styles
</h4>
</div>
<div className="panel-body">
<ul className="list-inline">
<li>
<ComboBox id="combo" itemsSource={comboData} initialized={comboInitialized}/>
</li>
<li>
<button className="btn btn-default" id="applyStyle2" onClick={applyStyle}>Apply</button>
</li>
<li>
<button className="btn btn-default" id="removeStyle2" onClick={removeStyle}>Remove</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div className="col-md-4">
<div className="panel-group">
<div className="panel panel-default">
<div className="panel-heading">
<h4 className="panel-title">
Clear Styles
</h4>
</div>
<div className="panel-body">
<ul className="list-inline">
<li>
<button className="btn btn-default" id="clearAllStyles1" onClick={clearRangeStyles}>Clear all styles from selection</button>
</li>
<li>
<button className="btn btn-default" id="clearAllStyles2" onClick={clearAllStyles}>Clear all styles from Grid</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<br />
<FlexGrid initialized={flexInitialized} itemsSource={data}>
</FlexGrid>
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexGrid Style API</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.wj-flexgrid {
height: 350px;
margin: 6px 0;
}
.myStyle1 {
background-color: antiquewhite !important;
color: brown !important;
}
.myStyle2{
background-color: aquamarine !important;
color:blue !important;
}
function getData() {
let countries = "US,Germany,UK,Japan,Italy,Greece".split(","), data = [];
for (var i = 0; i < 50; i++) {
data.push({
id: i,
country: countries[i % countries.length],
downloads: Math.round(Math.random() * 20000),
sales: Math.random() * 10000,
expenses: Math.random() * 5000
});
}
return data;
}
export const data = getData();
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, enableProdMode, ViewChild, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import * as wjcCore from '@mescius/wijmo';
import * as wjcGrid from '@mescius/wijmo.grid';
import * as wjGridStyle from '@mescius/wijmo.grid.style';
import * as wjInput from '@mescius/wijmo.input';
import { WjGridModule } from '@mescius/wijmo.angular2.grid';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
//
@Component({
standalone: true,
imports: [WjGridModule, BrowserModule, WjInputModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
data: any[];
selectedItem: string;
flexGridStyle: wjGridStyle.FlexGridStyle;
styleObject1 = {
'background-color': 'yellow',
'font-size': '18px',
};
styleObject2 = {
color: 'red',
};
comboData = ['Inline', 'Class-based'];
// references FlexGrid named 'flex' in the view
@ViewChild('flex', { static: true }) flex: wjcGrid.FlexGrid;
@ViewChild('combo', { static: true }) combo: wjInput.ComboBox;
// DataSvc will be passed by derived classes
constructor() {
this.data = this._getData();
}
flexInitialized(flexgrid: wjcGrid.FlexGrid) {
this.flexGridStyle = new wjGridStyle.FlexGridStyle(this.flex);
this.flex.formatItem.addHandler((s, e) => {
if (e.panel.cellType == wjcGrid.CellType.RowHeader) e.cell.innerHTML = e.row.toString();
});
}
toggleClass() {
this.flexGridStyle.toggleClass(this.flex.selection, 'myStyle1');
}
toggleClassOnHeaders() {
this.flexGridStyle.toggleClass(new wjcGrid.CellRange(0, 0, 1, 1), 'myStyle1', this.flex.columnHeaders);
this.flexGridStyle.toggleClass(new wjcGrid.CellRange(0, 0, 4, 0), 'myStyle1', this.flex.rowHeaders);
}
applyStyle() {
if (this.combo.selectedIndex == 0) this.flexGridStyle.applyStyle(this.flex.selection, this.styleObject1);
else this.flexGridStyle.applyStyle(this.flex.selection, this.styleObject2, this.flex.cells, false);
}
removeStyle() {
this.flexGridStyle.removeStyle(this.flex.selection, this.styleObject1);
this.flexGridStyle.removeStyle(this.flex.selection, this.styleObject2);
}
clearRangeStyles() {
this.flexGridStyle.clearAllStyles(this.flex.selection);
}
clearAllStyles() {
this.flexGridStyle.clearAllStyles();
}
private _getData() {
// create some random data
var countries = 'US,Germany,UK,Japan,Italy,Greece'.split(','),
data = [];
for (var i = 0; i < 50; i++) {
data.push({
id: i,
country: countries[i % countries.length],
downloads: Math.round(Math.random() * 20000),
sales: Math.random() * 10000,
expenses: Math.random() * 5000,
});
}
return data;
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexGrid Style API</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<div class="col-md-4">
<div class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<h4 class="panel-title">
Toggle Class
</h4>
</div>
<div class="panel-body">
<ul class="list-inline">
<li>
<button class="btn btn-default" id="applyStyle1" (click)="toggleClass()">Toggle Class on Selection</button>
</li>
<li>
<button class="btn btn-default" id="applyStyle4" (click)="toggleClassOnHeaders()">Toggle Class on Headers</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<h4 class="panel-title">
Apply & Remove Styles
</h4>
</div>
<div class="panel-body">
<ul class="list-inline">
<li>
<wj-combo-box #combo [itemsSource]="comboData">
</wj-combo-box>
</li>
<li>
<button class="btn btn-default" id="applyStyle2" (click)="applyStyle()">Apply</button>
</li>
<li>
<button class="btn btn-default" id="removeStyle2" (click)="removeStyle()">Remove</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="panel-group">
<div class="panel panel-default">
<div class="panel-heading">
<h4 class="panel-title">
Clear Styles
</h4>
</div>
<div class="panel-body">
<ul class="list-inline">
<li>
<button class="btn btn-default" id="clearAllStyles1" (click)="clearRangeStyles()">Clear all styles from selection</button>
</li>
<li>
<button class="btn btn-default" id="clearAllStyles2" (click)="clearAllStyles()">Clear all styles from Grid</button>
</li>
</ul>
</div>
</div>
</div>
</div>
<br/>
<!-- the grid -->
<wj-flex-grid #flex
[itemsSource]="data"
[allowSorting]="false"
[allowDragging]="false"
(initialized)="flexInitialized(flex)">
</wj-flex-grid>
</div>
.wj-flexgrid {
height: 350px;
margin: 6px 0;
}
/* .buttons {
padding-top: 10px;
}
.buttons > button {
margin-right: 10px;
} */
.myStyle1 {
background-color: antiquewhite !important;
color: brown !important;
}
.myStyle2{
background-color: aquamarine !important;
color:blue !important;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);